Make a RCS compatibility check

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This web service allows you to make a RCS compatibility check.

Special parameters

NameTypeDescription
phone_numbersarrayThis is the value representing the array of phone numbers you want to create RCS compatibility check. Required, minimum 1, maximum 500 phone numbers.
callback_urlstringOptional callback URL to receive the RCS compatibility check results. Must be a valid URL.

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

{
 "request_id": "123e4567-e89b-12d3-a456-426614174000",
 "cost": 0.05,
 "total_phone_numbers": 10,
 "needing_check_count": 8
}

Callback Payload

If you provide a callback_url, our system will send a POST request to that URL for each phone number that has been checked. The payload structure is as follows:

Callback Payload Structure

NameTypeDescription
phone_numberstringThe phone number that was checked for RCS compatibility.
is_rcs_compatiblebooleantrue if the phone number is compatible with RCS, false otherwise.

Callback Payload Example

{
 "phone_number": "+33612345678",
 "is_rcs_compatible": true
}

Callback Request Details

  • Method: POST
  • Content-Type: application/json
  • Timeout: 5 seconds
  • Payload: JSON object containing phone_number and is_rcs_compatible fields
Body Params

Payload to do a bulk RCS compatibility check.

phone_numbers
array of strings
required
length between 1 and 500
phone_numbers*
string
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

400

Bad request.

401

Unauthorized.

403

Forbidden to view.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json